Skip to navigation

Get Subkey

Get a specific subkey for the authenticated account by its public key.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

public_keystringRequired
Subkey public key

Response

Subkey details
account_idstringOptional
Account ID that owns this subkey
allowed_cidrslist of stringsOptional

IP CIDR allowlist; empty means unrestricted

block_trade_signing_enabledbooleanOptional

Whether this subkey is enabled for block trade signing (create, offer and execute signatures) for its account: it is active, and either the account owner enabled it with the main key or it is the Paradigm RFQ delegation key, which follows its delegation. Always false for pending and revoked subkeys.

created_atintegerOptional

Subkey creation timestamp (nanoseconds since epoch)

idintegerOptional
Unique subkey identifier
namestringOptional

User-provided subkey name

public_keystringOptional
Subkey public key
revoked_atintegerOptional

Revocation timestamp (nanoseconds since epoch, 0 if not revoked)

statestringOptional
Subkey state
updated_atintegerOptional

Last modification timestamp (nanoseconds since epoch)

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error